Bug 52842 - Xinerama + extmod module = X dies (4.1.0-0.20.0)
Xinerama + extmod module = X dies (4.1.0-0.20.0)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-29 17:45 EDT by edwinh
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 19:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix for xinerama + extmod (676 bytes, patch)
2001-08-29 19:01 EDT, edwinh
no flags Details | Diff

  None (edit)
Description edwinh 2001-08-29 17:45:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
Using Roswell2, latest X package from rawhide (XFree86-4.1.0-0.20.0)

If set to use Xinerama and "extmod" is listed in the module section, X dies
(signal 11).

If I comment out extmod life is happy - but then lots of things use
various extensions (like shaped windows), so it's not too great.

I think I saw this mentioned in either the Xpert or one of the redhat mail
lists, but didn't see anything in bugzilla.

In my particular case this is 1 TNT2 + 1 ATI Rage card, but I don't
think the config is causing it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a dualheaded xinerama setup
2. Install Xfree86-4.1.0-0.20.0
3. Start X...

Actual Results:  X dies

Expected Results:  X lives

Additional info:
Comment 1 edwinh 2001-08-29 17:55:57 EDT
Found the Xpert message I orginally saw:


Comment 2 Mike A. Harris 2001-08-29 18:01:26 EDT
Xinerama is a supplied but "if it works for you, great" option, it is
not directly supportedby us.  If you have problems with Xinerama, please
file them upstream with XFree86 directly by submitting a bug report at:

Comment 3 Mike A. Harris 2001-08-29 18:03:04 EDT
Whoops, we had a mid air collision there...  ;o)
Fixed in CVS...  Hmm.
Well if it is a very small patch that is isolated, I will consider
applying it if someone attaches the patch to this bug report and
reopens the bug.

Thats about all the support I can offer though.  TTYL
Comment 4 edwinh 2001-08-29 19:01:43 EDT
Created attachment 30134 [details]
Fix for xinerama + extmod
Comment 5 edwinh 2001-08-29 19:04:20 EDT
Mark Vojkovich pointed me at which file.

Did the diff ofcurrent CVS against the tarball you use in the rawhide package. 
Untested as of yet, it's recompiling on my box now...

Comment 6 Mike A. Harris 2001-08-29 19:52:30 EDT
Patch applied to XFree86-4.1.0-1.1 and later, please test when
it is available, and close bug "RAWHIDE" if it works.
Comment 7 edwinh 2003-04-21 19:46:37 EDT
Was fixed... (long time ago, just clearing out bug)

Note You need to log in before you can comment on or make changes to this bug.